<template>
  <div>
    <sign-in v-if="displayMap.showSignIn" />
    <forgot-password v-if="displayMap.showForgotPassword" />
  </div>
</template>

<script>
import SignIn from './SignIn.vue'
import ForgotPassword from './ForgotPassword.vue'
export default {
  name: 'Authenticator',
  components: {
    SignIn,
    ForgotPassword
  },
  props: {
    authConfig: {
      type: Object,
      default: () => {}
    }
  },
  data () {
    return {
      displayMap: {
        showSignIn: true,
        showForgotPassword: false
      }
    }
  },
  mounted () {
    this.$bus.$on('authState', (data) => {
      this.displayMap = this.updateDisplayMap(data)
    })
  },
  methods: {
    updateDisplayMap: (state) => {
      return {
        showSignIn: state === 'signedOut' || state === 'signIn',
        showForgotPassword: state === 'forgotPassword'
      }
    }
  }
}
</script>
